- Qt 5.5
- Qt3D Module
- QML Types
- CameraLens QML Type
- Qt 5.5.1 Reference Documentation

# CameraLens QML Type

Import Statement: | import Qt3D 2.0
Since: | Qt 5.5
Instantiates: | QCameraLens
Inherits: | Component3D

- List of all members, including inherited members

## Properties

- aspectRatio : float
- bottom : float
- farPlane : float
- fieldOfView : float
- left : float
- nearPlane : float
- projectionMatrix : matrix4x4
- projectionType : enumeration
- right : float
- top : float

## Detailed Description

## Property Documentation

aspectRatio : float

bottom : float

farPlane : float

fieldOfView : float

left : float

nearPlane : float

read-only projectionMatrix : matrix4x4

projectionType : enumeration

Holds the type of the camera projection (orthogonal or perspective).

Constant | Description
--- | ---
`CameraLens.OrthogonalProjection` | Orthogonal projection
`CameraLens.PerspectiveProjection` | Perspective projection

right : float

top : float